org.red5.server.stream

## Interface ISeekableStreamSource

All Superinterfaces:
  IStreamSource

All Known Implementing Classes:
  FileStreamSource

    public interface ISeekableStreamSource
    extends IStreamSource

Stream source that can be seeked in timeline

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Method Summary

Methods
`int` `seek(int ts)` Seek the stream source to timestamp ts (in milliseconds).

### Methods inherited from interface org.red5.server.stream.IStreamSource

`close, dequeue, hasMore`

### Method Detail

#### seek

    int seek(int ts)

Seek the stream source to timestamp ts (in milliseconds).

Parameters:
  `ts` - Timestamp to seek to
Returns:
  Actual timestamp seeked to